zenilib: FTC_CacheRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FTC_CacheRec_ Struct Reference

`#include <ftccache.h>`

## Public Attributes

FTC_Node * | buckets
FTC_CacheClassRec | clazz
FT_UInt | index
FTC_Manager | manager
FT_UFast | mask
FT_Memory | memory
FTC_CacheClass | org_class
FT_UFast | p
FT_Long | slack

## Detailed Description

Definition at line 150 of file ftccache.h.

## Member Data Documentation

FTC_Node* FTC_CacheRec_::buckets

Definition at line 155 of file ftccache.h.

Referenced by FTC_Cache_Clear(), and ftc_cache_resize().

FTC_CacheClassRec FTC_CacheRec_::clazz

Definition at line 157 of file ftccache.h.

Referenced by ftc_cache_add(), FTC_Cache_Clear(), FTC_Manager_Done(), FTC_Manager_RegisterCache(), and ftc_node_destroy().

FT_UInt FTC_CacheRec_::index

Definition at line 161 of file ftccache.h.

Referenced by ftc_cache_add(), and FTC_Manager_RegisterCache().

FTC_Manager FTC_CacheRec_::manager

Definition at line 159 of file ftccache.h.

Referenced by ftc_cache_add(), FTC_Cache_Clear(), FTC_CMapCache_Lookup(), and FTC_Manager_RegisterCache().

FT_UFast FTC_CacheRec_::mask

Definition at line 153 of file ftccache.h.

Referenced by FTC_Cache_Clear(), and ftc_cache_resize().

FT_Memory FTC_CacheRec_::memory

Definition at line 160 of file ftccache.h.

Referenced by ftc_cache_resize(), and FTC_Manager_RegisterCache().

FTC_CacheClass FTC_CacheRec_::org_class

Definition at line 163 of file ftccache.h.

Referenced by FTC_Manager_RegisterCache().

FT_UFast FTC_CacheRec_::p

Definition at line 152 of file ftccache.h.

Referenced by FTC_Cache_Clear(), and ftc_cache_resize().

FT_Long FTC_CacheRec_::slack

Definition at line 154 of file ftccache.h.

Referenced by ftc_cache_resize(), ftc_node_hash_link(), and ftc_node_hash_unlink().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/src/cache/ftccache.h